# -*- coding: utf-8 -*-
import lecoresdk

lesdk = lecoresdk.IoTData()


def handler(event, context):
    set_params = {"productKey": "YourProductKey",
                  "deviceName": "YourDeviceName",
                  "payload": {"LightSwitch": 0}}
    res = lesdk.setThingProperties(set_params)
    print(res)
    get_params = {"productKey": "YourProductKey",
                  "deviceName": "YourDeviceName",
                  "payload": ["LightSwitch"]}
    res = lesdk.getThingProperties(get_params)
    print(res)
    pub_params = {"topic": "/topic/hello",
                  "payload": "hello world"}
    lesdk.publish(pub_params)
    print("publish success")
    get_params = {"payload": [{"home": "123"}]}
    res = lesdk.getThingsWithTags(get_params)
    print(res)
    for device in res:
        print("device_%s: PK=%s DN=%s" % (res.index(device) + 1, device['productKey'], device['deviceName']))
    get_params = {"productKey": "YourProductKey",
                  "deviceName": "YourDeviceName",
                  "service": "upgrade",
                  "payload": {"LightSwitch": 0}}
    res = lesdk.callThingService(get_params)
    print(res)
    return 'hello world'
